WhatsApp · WhatsApp Phone Numbers

Get number status

Fetches number status.

GEThttps://api.pozy.ai/v1/whatsapp/number-info
getWhatsAppNumberInfo

Guides: Phone numbers for WhatsApp, Connect WhatsApp, Group chats

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the contacts resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring

Example

curl -X GET "https://api.pozy.ai/v1/whatsapp/number-info?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • phoneobject
    10 child fields
    • display_phone_numberstring
    • verified_namestring
    • name_statusstring
    • quality_ratingstring
    • messaging_limit_tierstring
    • throughputobject
      1 child field
      • levelstring
    • statusstring
    • is_official_business_accountboolean
    • platform_typestring
    • health_statusobject
  • wabaobject

    Can be null.

    • namestring
    • business_verification_statusstring
    • timezone_idstring
    • health_statusobject
200 response
{
  "phone": {
    "display_phone_number": "+14155550123",
    "verified_name": "Acme",
    "name_status": "Acme",
    "quality_rating": "string",
    "messaging_limit_tier": "string",
    "throughput": {
      "level": "string"
    },
    "status": "active",
    "is_official_business_account": true,
    "platform_type": "instagram",
    "health_status": {}
  },
  "waba": {
    "name": "Acme",
    "business_verification_status": "active",
    "timezone_id": "64522c650887b67424b724a9",
    "health_status": {}
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in WhatsApp Phone Numbers